<template>
  <div class="catalogs">
    <router-link
      v-for="catalog in catalogs"
      :key="catalog.id"
      :to="{ name: 'CatalogViewer', params: { id: catalog.id } }"
    >
      <CatalogCover :value="catalog"></CatalogCover>
    </router-link>
  </div>
</template>

<script lang="ts">
import { Options, Vue } from "vue-class-component";
import CatalogCover from "@/components/CatalogCover.vue";
import { Catalog } from "@/models/Catalog";
import { useStore } from "@/store";

@Options({
  name: Catalogs.name,
  components: {
    CatalogCover,
  },
})
export default class Catalogs extends Vue {
  catalogs: Catalog[] = [];

  mounted(): void {
    this.catalogs = useStore().state.fakeDb;
  }
}
</script>

<style scoped lang="scss">
.catalogs {
  display: flex;
  flex-direction: row;
  justify-content: center;
}
</style>
